package com.th.demo.service.system;

import com.th.demo.model.system.SysMenu;

import java.util.List;

public interface SysMenuService {
    List<SysMenu> queryByUserId(String userId);

    List<SysMenu> queryPidMenu(String menuPid);

    List<SysMenu> queryRoleMenu(String roleId);


    List<SysMenu> queryMainMenu();



    String queryAppMenu(String userId);

    String query(int page, int rows, String pid,String userId);

    String remove(String id,String userId);

    String save(String id, String menuPid, String menuCode, String menuName, String menuOpenBs, String menuBsIcon, String menuShow, String userId);

    String queryByMenuCode(String code);

    String queryByUserIdForRoleMenu(String userId);
}
